package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

public enum RevenueTipos {

	GLOBAL("GLOBAL"), 
	CATEGORIA("CATEGORIA"), 
	BOX_OFFICE("BOXOFFICE");

	private String desc;

	RevenueTipos( String desc) {		
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}
		
	public static RevenueTipos getSeccion(String id){
		RevenueTipos[] values = RevenueTipos.values();
		
		RevenueTipos target = null;
		for (RevenueTipos t : values) {
			if (t.getDesc().equals(id)) {
				target = t;
				break;
			}
		}
		return target;
	}
	
}
